Bug 803149 - Review Request: pyrasite - Code injection and monitoring of running Python processes
Review Request: pyrasite - Code injection and monitoring of running Python pr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
:
Depends On: 803148
Blocks: 805327 804694
  Show dependency treegraph
 
Reported: 2012-03-13 23:27 EDT by Luke Macken
Modified: 2016-09-19 22:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-20 19:53:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ian: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2012-03-13 23:27:48 EDT
Spec URL: http://lmacken.fedorapeople.org/rpms/pyrasite.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/pyrasite-2.0-0.1.beta3.fc16.src.rpm
Description:
Pyrasite uses gdb to inject code into a running Python process. It is
comprised of a command-line tool, a Python API, and a graphical interface.
Comment 3 Ian Weller 2012-04-17 17:07:41 EDT
Review checklist, last updated 2012-02-07
Based on https://fedoraproject.org/wiki/Packaging:ReviewGuidelines
Key: [X] passed, [F] failed, [-] irrelevant

[X] MUST: rpmlint must be run on the source rpm and all binary rpms the build
    produces. The output should be posted in the review.

pyrasite.noarch: W: no-manual-page-for-binary pyrasite-shell
pyrasite.noarch: W: no-manual-page-for-binary pyrasite-memory-viewer

[X] MUST: The package must be named according to the Package Naming Guidelines.
[X] MUST: The spec file name must match the base package %{name}, in the format
    %{name}.spec unless your package has an exemption.
[X] MUST: The package must be licensed with a Fedora approved license and meet
    the Licensing Guidelines.
[F] MUST: The License field in the package spec file must match the actual
    license. 

License in code is GPLv3+, license in specfile is GPLv3

[X] MUST: If (and only if) the source package includes the text of the
    license(s) in its own file, then that file, containing the text of the
    license(s) for the package must be included in %doc.
[X] MUST: The spec file must be written in American English. 
[X] MUST: The spec file for the package MUST be legible. 
[F] MUST: The sources used to build the package must match the upstream source,
    as provided in the spec URL. Reviewers should use md5sum for this task. If
    no upstream URL can be specified for this package, please see the Source
    URL Guidelines for how to deal with this.

http://pypi.python.org/packages/source/p/pyrasite/pyrasite-2.0.tar.gz: 404

[X] MUST: The package MUST successfully compile and build into binary rpms on
    at least one primary architecture. 
[-] MUST: If the package does not successfully compile, build or work on an
    architecture, then those architectures should be listed in the spec in
    ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed
    in bugzilla, describing the reason that the package does not
    compile/build/work on that architecture. The bug number MUST be placed in a
    comment, next to the corresponding ExcludeArch line. 
[X] MUST: All build dependencies must be listed in BuildRequires, except for
    any that are listed in the exceptions section of the Packaging Guidelines;
    inclusion of those as BuildRequires is optional. Apply common sense.
[-] MUST: The spec file MUST handle locales properly. This is done by using the
    %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[-] MUST: Every binary RPM package (or subpackage) which stores shared library
    files (not just symlinks) in any of the dynamic linker's default paths,
    must call ldconfig in %post and %postun. 
[X] MUST: Packages must NOT bundle copies of system libraries.
[-] MUST: If the package is designed to be relocatable, the packager must state
    this fact in the request for review, along with the rationalization for
    relocation of that specific package. Without this, use of Prefix: /usr is
    considered a blocker. 
[X] MUST: A package must own all directories that it creates. If it does not
    create a directory that it uses, then it should require a package which
    does create that directory. 
[X] MUST: A Fedora package must not list a file more than once in the spec
    file's %files listings. (Notable exception: license texts in specific
    situations)
[X] MUST: Permissions on files must be set properly. Executables should be set
    with executable permissions, for example. 
[F] MUST: Each package must consistently use macros. 

From [[Packaging:Guidelines#Macros]]:

"Macro forms of system executables SHOULD NOT be used except when there is a
need to allow the location of those executables to be configurable. For
example, rm should be used in preference to %{__rm}, but %{__python} is
acceptable."

You use %{__make} and %{__gzip} which don't make any sense to be configurable.

[X] MUST: The package must contain code, or permissable content. 
[X] MUST: Large documentation files must go in a -doc subpackage. (The
    definition of large is left up to the packager's best judgement, but is not
    restricted to size. Large can refer to either size or quantity). 
[X] MUST: If a package includes something as %doc, it must not affect the
    runtime of the application. To summarize: If it is in %doc, the program
    must run properly if it is not present. 
[-] MUST: Static libraries must be in a -static package. 
[-] MUST: Development files must be in a -devel package. 
[-] MUST: In the vast majority of cases, devel packages must require the base
    package using a fully versioned dependency:
       Requires: %{name}%{?_isa} = %{version}-%{release} 
[-] MUST: Packages must NOT contain any .la libtool archives, these must be
    removed in the spec if they are built.
[-] MUST: Packages containing GUI applications must include a %{name}.desktop
    file, and that file must be properly installed with desktop-file-install in
    the %install section. If you feel that your packaged GUI application does
    not need a .desktop file, you must put a comment in the spec file with your
    explanation. 
[X] MUST: Packages must not own files or directories already owned by other
    packages. The rule of thumb here is that the first package to be installed
    should own the files or directories that other packages may rely upon. This
    means, for example, that no package in Fedora should ever share ownership
    with any of the files or directories owned by the filesystem or man
    package. If you feel that you have a good reason to own a file or directory
    that another package owns, then please present that at package review time. 
[X] MUST: All filenames in rpm packages must be valid UTF-8. 

Quick note -- you have Sphinx create documentation files, but those files
aren't actually being included in the resulting binary RPM.

Please fix:
- license field in spec
- 404 of upstream source
- use of macros
Comment 4 Luke Macken 2012-04-25 11:25:07 EDT
(In reply to comment #3)
> Quick note -- you have Sphinx create documentation files, but those files
> aren't actually being included in the resulting binary RPM.

I use Sphinx to create the man page.

> Please fix:
> - license field in spec

Fixed.

> - 404 of upstream source

This will exist once this package is done and I release v2.0

> - use of macros

Done.

Updated: http://lmacken.fedorapeople.org/rpms/pyrasite.spec
Comment 5 Ian Weller 2012-05-04 15:44:12 EDT
APPROVED
Comment 6 Luke Macken 2012-05-09 00:34:38 EDT
New Package SCM Request
=======================
Package Name: pyrasite
Short Description: Inject arbitrary code into running Python processes
Owners: lmacken
Branches: f16 f17 el6 el5
InitialCC:
Comment 7 Gwyn Ciesla 2012-05-09 08:30:42 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-05-09 15:34:33 EDT
pyrasite-2.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pyrasite-2.0-1.fc17
Comment 9 Fedora Update System 2012-05-09 15:34:41 EDT
pyrasite-2.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pyrasite-2.0-1.fc16
Comment 10 Fedora Update System 2012-05-09 15:39:02 EDT
pyrasite-2.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pyrasite-2.0-1.el6
Comment 11 Fedora Update System 2012-05-10 16:38:37 EDT
pyrasite-2.0-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 12 Fedora Update System 2012-05-20 19:53:32 EDT
pyrasite-2.0-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 13 Fedora Update System 2012-05-26 03:44:36 EDT
pyrasite-2.0-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 14 Fedora Update System 2012-05-26 18:05:22 EDT
pyrasite-2.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.